purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.Docs.Convert

Description

Functions for converting PureScript ASTs into values of the data types from Language.PureScript.Docs.

Synopsis

- convertModule :: MonadError MultipleErrors m => [ExternsFile] -> Env -> Environment -> Module -> m Module

# Documentation

convertModule :: MonadError MultipleErrors m => [ExternsFile] -> Env -> Environment -> Module -> m Module #

Convert a single module to a Docs.Module, making use of a pre-existing type-checking environment in order to fill in any missing types. Note that re-exports will not be included.